#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from persistent import Persistent
from zope.container.contained import Contained
from zope.interface import Interface, implementer

from onf_website.features.share.skin.interfaces import IONFToolboxPortletRendererSettings
from onf_website.skin.public.layer import IONFBaseLayer
from pyams_content.features.share.portlet import IToolboxPortletSettings
from pyams_default_theme.features.share.portlet import ToolboxPortletDefaultRenderer
from pyams_portal.interfaces import IPortalContext, IPortletRenderer
from pyams_skin.layer import IPyAMSLayer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config
from pyams_utils.factory import factory_config


@factory_config(provided=IONFToolboxPortletRendererSettings)
@implementer(IONFToolboxPortletRendererSettings)
class ONFToolboxPortletRendererSettings(Persistent, Contained):
    """Toolbox portlet default renderer settings"""


@adapter_config(context=(IPortalContext, IPyAMSLayer, Interface, IToolboxPortletSettings),
                provides=IPortletRenderer)
@template_config(template='templates/toolbox.pt', layer=IONFBaseLayer)
class ONFToolboxPortletDefaultRenderer(ToolboxPortletDefaultRenderer):
    """Toolbox portlet default renderer"""

    settings_interface = IONFToolboxPortletRendererSettings
